Skip to main content
GET
Post
💳 1 credit per request

Authorizations

X-API-Key
string
header
required

API key for authentication. Format: sk_live_xxxxxxxxxxxxx

Get your API key from the Dashboard.

Query Parameters

url
string
required

The URL of the post to get

Example:

"https://www.threads.net/@trendspider/post/DIU8naHS6q_"

trim
boolean

Set to true for a trimmed down version of the response

Example:

false

Response

Successful response

Key Response Fields:

  • data.post.pk: Post unique ID
  • data.post.user.username: Author Threads handle
  • data.post.caption.text: Post text content
  • data.post.like_count: Like count
  • data.post.view_counts: Number of views
  • data.post.taken_at: Unix timestamp
  • data.post.text_post_app_info.direct_reply_count: Reply count
  • data.post.text_post_app_info.repost_count: Repost count
  • data.comments: Array of comment objects with text and user info
  • data.relatedPosts: Array of algorithmically related posts